Bug 506855 - Review Request hornsey - The moblin media player
Review Request hornsey - The moblin media player
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Christoph Wickert
Fedora Extras Quality Assurance
:
Depends On: 506721 506825 506848
Blocks: FedoraMoblin20
  Show dependency treegraph
 
Reported: 2009-06-18 18:33 EDT by Peter Robinson
Modified: 2009-09-03 16:56 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-03 16:56:09 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
cwickert: fedora‑review+
tcallawa: fedora‑cvs+


Attachments (Terms of Use)
Upstream patch for API changes b/w bognor 0.4.9 and .10 (1.28 KB, patch)
2009-08-26 04:11 EDT, Michel Alexandre Salim
no flags Details | Diff

  None (edit)
Description Peter Robinson 2009-06-18 18:33:35 EDT
SPEC: http://pbrobinson.fedorapeople.org/hornsey.spec
SRPM: http://pbrobinson.fedorapeople.org/hornsey-1.0-1.fc11.src.rpm

Hornsey is the Moblin media player
Comment 1 Peter Robinson 2009-07-28 09:33:45 EDT
It seems upstream munged up their versioning so the latest is now 0.2 and 1.0 has been removed!

SRPM: http://pbrobinson.fedorapeople.org/hornsey-0.2-1.fc11.src.rpm
Comment 2 Peter Robinson 2009-08-18 18:53:43 EDT
New upstream 0.3 release with spec cleanups and updated deps for the new release.

http://pbrobinson.fedorapeople.org/hornsey-0.3-1.fc12.src.rpm
Comment 3 Michel Alexandre Salim 2009-08-26 04:11:09 EDT
Created attachment 358681 [details]
Upstream patch for API changes b/w bognor 0.4.9 and .10
Comment 4 Michel Alexandre Salim 2009-08-26 04:13:32 EDT
The following patch need to be applied with -p1 (it was just applied in Git 2 days ago).
Comment 5 Christoph Wickert 2009-08-29 23:28:42 EDT
Although we are still waiting for bickley, here is the formal part of the review.

REVIEW FOR 
9ddf1cc689b20120ed787338eb4e4c6a  hornsey-0.3-1.fc12.src.rpm

TBD - MUST: rpmlint must be run on every package.
OK - MUST: named according to the Package Naming Guidelines
OK - MUST: spec file name matches the base package %{name}
OK - MUST: package meets the Packaging Guidelines
OK - MUST: Fedora approved license and meets the Licensing Guidelines: LGPLv2
OK - MUST: License field in spec file matches the actual license
OK - MUST: license file included in %doc
OK - MUST: spec is in American English
OK - MUST: spec is legible
OK - MUST: sources match the upstream source by MD5 1e959a8b2a70f059b502e05fe2c90687
OK - MUST: successfully compiles and builds into binary rpms on all arches
OK - MUST: all build dependencies are listed in BuildRequires.
OK - MUST: handles locales properly with %find_lang
N/A - MUST: Every binary RPM package (or subpackage) which stores shared library files (not just symlinks) in any of the dynamic linker's default paths, must call ldconfig in %post and %postun.
OK - MUST: Not relocatable.
OK - MUST: Owns all directories that it creates
OK - MUST: No duplicate files in the %files listing
OK - MUST: Permissions on files are set properly, includes %defattr(...)
OK - MUST: Package has a %clean section, which contains rm -rf %{buildroot}.
OK - MUST: consistently uses macros
OK - MUST: package contains code, or permissable content
OK - MUST: No large documentation
OK - MUST: Files included as %doc do not affect the runtime of the application
N/A - MUST: Header files must be in a -devel package
N/A - MUST: Static libraries must be in a -static package
N/A - MUST: Packages containing pkgconfig(.pc) files must 'Requires: pkgconfig'.
N/A - MUST: If a package contains library files with a suffix (e.g. libfoo.so.1.1), then library files that end in .so (without suffix) must go in a -devel package.
N/A - MUST: Devel packages must require the base package using a fully versioned dependency: Requires: %{name} = %{version}-%{release}
OK - MUST: The package does not contain any .la libtool archives.
OK - MUST: The package contains a GUI application and includes a %{name}.desktop file, and that file is properly validates with desktop-file-validate in the %install section.
OK - MUST: packages does not own files or directories already owned by other packages.
OK - MUST: at the beginning of %install, the package runs rm -rf %{buildroot}.
OK - MUST: all filenames valid UTF-8


SHOULD Items:
OK - SHOULD: Source package includes license text(s) as a separate file.
OK - SHOULD: The description and summary sections in the package spec file should contain translations for supported Non-English languages, if available.
TBD - SHOULD: builds in mock.
TBD - SHOULD: compiles and builds into binary rpms on all supported architectures.
TBD - SHOULD: functions as described.
OK - SHOULD: Scriptlets are used, those scriptlets must be sane.
N/A - SHOULD: Usually, subpackages other than devel should require the base package using a fully versioned dependency.
N/A - SHOULD: The placement of pkgconfig(.pc) files depends on their usecase, and this is usually for development purposes, so should be placed in a -devel pkg.
OK - SHOULD: No file dependencies outside of /etc, /bin, /sbin, /usr/bin, or /usr/sbin.

Other items:
OK - latest stable version packaged
OK - proper debuginfo package
OK - compiler flags honored
OK - timstamps preserved during install


Issues:
- Apply the patch from comment #3.
- Description does not end with a dot.
- Description is a little sparse. How about: Hornsey is a Image, Audio and Video media browser and player for Moblin.  (taken from README)
- hornsey.desktop contains a mime type, but package lacks scriptlets from
https://fedoraproject.org/wiki/Packaging/ScriptletSnippets#desktop-database
- AUTHORS and README are missing from %doc
- MINOR: desktop file should get "Player" as additional category to allow nested menus like in the studio spin. Doesn't really matter for Moblin though.
Comment 6 Christoph Wickert 2009-08-30 00:42:54 EDT
Missing BR gnome-common.

Even with gnome-common it wont build for me on F-11 with all your moblin packages backported. Does this work for you on Rawhide?
Comment 7 Michel Alexandre Salim 2009-08-30 22:20:41 EDT
Christoph: Did you apply the patch?
Comment 8 Peter Robinson 2009-08-31 12:20:48 EDT
(In reply to comment #6)
> Missing BR gnome-common.
> 
> Even with gnome-common it wont build for me on F-11 with all your moblin
> packages backported. Does this work for you on Rawhide?  

It does on my rawhide build VM which I use for testing.
Comment 9 Peter Robinson 2009-08-31 12:23:48 EDT
> Issues:
> - Apply the patch from comment #3.
> - Description does not end with a dot.
> - Description is a little sparse. How about: Hornsey is a Image, Audio and
> Video media browser and player for Moblin.  (taken from README)
> - hornsey.desktop contains a mime type, but package lacks scriptlets from
> https://fedoraproject.org/wiki/Packaging/ScriptletSnippets#desktop-database
> - AUTHORS and README are missing from %doc

All fixed.

SPEC: As above
SRPM: http://pbrobinson.fedorapeople.org/hornsey-0.3-2.fc11.src.rpm
Comment 10 Christoph Wickert 2009-08-31 19:36:26 EDT
(In reply to comment #7)
> Christoph: Did you apply the patch?  

Erm, obviously not. :(


TBD items from comment #5:

$ rpmlint /var/lib/mock/fedora-rawhide-x86_64/result/hornsey-*
hornsey-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/hornsey-0.3/src/hrn-texture-cache.h
hornsey-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/hornsey-0.3/src/hrn-texture-cache.c
3 packages and 0 specfiles checked; 0 errors, 2 warnings.

chmod -x src/hrn-texture-cache.* in %prep will fix this.

OK - MUST: all build dependencies are listed in BuildRequires.
OK - SHOULD: builds in mock.
OK - SHOULD: compiles and builds into binary rpms on all supported
architectures.
OK - SHOULD: functions as described, although there are *lots* of clutter related warnings. I also noted that bognor-regis-daemon will continue playing after hornsey was closed, but I guess this is intended.


Remaining issues from comment #5:
OK - bognorregis-0.4.10.patch applied
OK - Description ends with a dot.
OK - Description enhanced, but shouldn't it be "an Image" instead of "a Image"?

OK - update-desktop-database sriptlet correct.
OK - AUTHORS and README added to %doc


Fix the rpmlint error, add the missing 'n' in the description and consider

hornsey-0.3-2.fc11.src.rpm APPROVED
Comment 11 Peter Robinson 2009-08-31 19:53:52 EDT
> Fix the rpmlint error, add the missing 'n' in the description and consider

Thanks :) rpmlint error is fixed locally, but I think I being blind with the missing 'n'!
Comment 12 Peter Robinson 2009-08-31 19:54:51 EDT
New Package CVS Request
=======================
Package Name: hornsey
Short Description: The moblin media player
Owners: pbrobinson
Branches: F-11
InitialCC:
Comment 13 Tom "spot" Callaway 2009-09-03 16:19:10 EDT
CVS done.
Comment 14 Peter Robinson 2009-09-03 16:56:09 EDT
Built and on its way to rawhide.

Note You need to log in before you can comment on or make changes to this bug.